import FchhLogoHorizontalColorBlack from "@assets/images/logos/fchh/fchh_logo_linear_col_dark.svg";
import FchhLogoHorizontalColorWhite from "@assets/images/logos/fchh/fchh_logo_linear_col_white.svg";
import FchhLogoHorizontalMonotoneBlack from "@assets/images/logos/fchh/fchh_logo_linear_dark.svg";
import FchhLogoHorizontalMonotoneWhite from "@assets/images/logos/fchh/fchh_logo_linear_white.svg";
import FrbsLogoHorizontalColorBlack from "@assets/images/logos/frbs/FAB_Region_Logo_dark.svg";
import FrbsLogoHorizontalColorWhite from "@assets/images/logos/frbs/FAB_Region_Logo_white.svg";
import FrbsLogoHorizontalMonotoneBlack from "@assets/images/logos/frbs/FAB_Region_Logo_monochrome_dark.svg";
import FrbsLogoHorizontalMonotoneWhite from "@assets/images/logos/frbs/FAB_Region_Logo_monochrome_white.svg";
import clsx from "clsx";

export interface LogoProps {
  organization?: "fchh" | "frbs";
  lightColor?: boolean;
  monotone?: boolean;
  alt?: string;
  className?: string;
}

const handleLogoType = (
  lightColor?: boolean,
  monotone?: boolean,
  organization?: "fchh" | "frbs",
): string => {
  let logo = "";
  switch (true) {
    case organization === "fchh" && monotone && lightColor:
      logo = FchhLogoHorizontalMonotoneWhite;
      break;
    case organization === "fchh" && monotone && !lightColor:
      logo = FchhLogoHorizontalMonotoneBlack;
      break;
    case organization === "fchh" && !monotone && lightColor:
      logo = FchhLogoHorizontalColorWhite;
      break;
    case organization === "fchh" && !monotone && !lightColor:
      logo = FchhLogoHorizontalColorBlack;
      break;
    case organization === "frbs" && monotone && lightColor:
      logo = FrbsLogoHorizontalMonotoneWhite;
      break;
    case organization === "frbs" && monotone && !lightColor:
      logo = FrbsLogoHorizontalMonotoneBlack;
      break;
    case organization === "frbs" && !monotone && lightColor:
      logo = FrbsLogoHorizontalColorWhite;
      break;
    case organization === "frbs" && !monotone && !lightColor:
      logo = FrbsLogoHorizontalColorBlack;
  }
  return logo;
};

export function Logo({
  lightColor,
  monotone,
  alt = "Fab City Hamburg",
  className,
  organization = "fchh",
}: LogoProps) {
  const commonLogoClasses = "fs-h-auto fs-object-contain";
  const logoSrc = handleLogoType(lightColor, monotone, organization);

  return (
    <img
      className={clsx(commonLogoClasses, className)}
      alt={alt}
      src={logoSrc}
    />
  );
}
