import { ISocialMediaItem } from "@interfaces/IFooter";
import { SocialMediaIcon } from "@components/SocialMediaIcon";
import clsx from "clsx";

export interface SocialMediaIconsProps {
  icons?: ISocialMediaItem[];
  className?: string;
  id?: string;
  variant?: "dark" | "light";
  grow?: boolean;
}

export function SocialMediaIcons({
  className,
  icons,
  id,
  variant = "dark",
  grow,
}: SocialMediaIconsProps) {
  return (
    <div
      className={clsx(
        "fs-grid fs-gap-4",
        grow
          ? "fs-grid-cols-[repeat(auto-fit,minmax(3rem,1fr))] md:fs-grid-cols-[repeat(auto-fit,minmax(2rem,1fr))]"
          : "fs-grid-cols-[repeat(auto-fit,3rem)] md:fs-grid-cols-[repeat(auto-fit,2rem)]",
        className,
      )}
      id={id}
    >
      {icons?.map((logo, index) => {
        return (
          <div
            key={index}
            className="fs-flex fs-items-center fs-justify-center"
          >
            <SocialMediaIcon
              className={clsx(
                variant === "light"
                  ? "fs-bg-white fs-text-grey-900"
                  : "fs-bg-grey-900 fs-text-white",
                "fs-flex fs-items-center fs-justify-center fs-rounded-full fs-aspect-square fs-p-1.5 fs-size-12 md:fs-size-8",
              )}
              type={logo.type}
              href={logo.href}
            />
          </div>
        );
      })}
    </div>
  );
}
